- Main Page
- Namespaces
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Class Hierarchy
- Data Fields

# ubixfsInode Struct Reference

`#include <ubixfs.h>`

## Public Member Functions
char smallData[3200] | __attribute__ ((packed))
uInt32 refCount | __attribute__ ((packed))
dataStream blocks | __attribute__ ((packed))
uPtr data | __attribute__ ((packed))
uPtr prev | __attribute__ ((packed))
uPtr next | __attribute__ ((packed))
uPtr parent | __attribute__ ((packed))
uInt32 inodeSize | __attribute__ ((packed))
uInt32 type | __attribute__ ((packed))
inodeAddr attributes | __attribute__ ((packed))
int32 flags | __attribute__ ((packed))
int32 mode | __attribute__ ((packed))
gid_t gid | __attribute__ ((packed))
uid_t uid | __attribute__ ((packed))
char name[MAX_FILENAME_LENGTH] | __attribute__ ((packed))
inodeAddr inodeNum | __attribute__ ((packed))
int32 magic1 | __attribute__ ((packed))

## Detailed Description

Definition at line 110 of file ubixfs.h.

## Member Function Documentation

char smallData [3200] ubixfsInode::__attribute__ | ( | (packed) |  | ) |

uInt32 refCount ubixfsInode::__attribute__ | ( | (packed) |  | ) |

dataStream blocks ubixfsInode::__attribute__ | ( | (packed) |  | ) |

uPtr data ubixfsInode::__attribute__ | ( | (packed) |  | ) |

uPtr prev ubixfsInode::__attribute__ | ( | (packed) |  | ) |

uPtr next ubixfsInode::__attribute__ | ( | (packed) |  | ) |

uPtr parent ubixfsInode::__attribute__ | ( | (packed) |  | ) |

uInt32 inodeSize ubixfsInode::__attribute__ | ( | (packed) |  | ) |

uInt32 type ubixfsInode::__attribute__ | ( | (packed) |  | ) |

inodeAddr attributes ubixfsInode::__attribute__ | ( | (packed) |  | ) |

int32 flags ubixfsInode::__attribute__ | ( | (packed) |  | ) |

int32 mode ubixfsInode::__attribute__ | ( | (packed) |  | ) |

gid_t gid ubixfsInode::__attribute__ | ( | (packed) |  | ) |

uid_t uid ubixfsInode::__attribute__ | ( | (packed) |  | ) |

char name [MAX_FILENAME_LENGTH] ubixfsInode::__attribute__ | ( | (packed) |  | ) |

inodeAddr inodeNum ubixfsInode::__attribute__ | ( | (packed) |  | ) |

int32 magic1 ubixfsInode::__attribute__ | ( | (packed) |  | ) |

The documentation for this struct was generated from the following file:

- src/sys/ubixfsv2/ubixfs.h